<cfsilent>
<!--- -->
<?xml version="1.0" encoding="UTF-8"?>
<fusedoc language="ColdFusion" FUSE="act_calc_schedule.cfm" Specification="2.0">
	<responsibilities>
		I actually calculate the loan schedule for display.
	</responsibilities> 
	<properties>
		<history 	author="Sandra Clark" email="slclark@shayna.com" type="Create" date="11/17/2001" 
					role="Architect"></history>
	</properties>
	<io>
		<passthrough>
			<number 
				name="NumYears" scope="Attributes" precision="Integer" 
				comments="Number of years to calculate loan schedule."/>
			<number 
				name="LoanAmt" scope="Attributes" precision="Decimal" 
				comments="Amount of Loan"/>
			<number 
				name="DownPayment" scope="Attributes" 
				precision="Decimal" comments="Down Payment on Loan."/>
			<number 
				name="IntRate" scope="Attributes" precision="Decimal" 
				comments="Interest Rate to Use."/>
		</passthrough>
		<out>
			<array name="loanschedule" scope="variables" 
				comments="Array of Loan Schedule Payments.">
			
				<structure 
					comments="Holds the line of the loan schedule correspondign to the month.">
					
					<number name="Month" precision="Integer" comments="First Month shall be current month."/>
					<number name="Year" precision="Integer" comments="Year of Month"/>
					<number name="Payment" precision="Decimal" comments="Amount of Payment for month."/>
					<number name="Interest" precision="Decimal" comments="Amount of Interest paid for month"/>
					<number name="Principal" precision="Decimal" comments="Amount of Principal paid for month"/>
					<number name="InterestTD" precision="Decimal" comments="Interest Paid To Date"/>
					<number name="PrincipalTD" precision="Decimal" comments="Principal Paid to DAte"/>
				</structure>			
			</array>
		
		</out>
	</io>
</fusedoc>
--->



<cfparam name="Attributes.Downpayment" default="0">
<cfset Rate = Attributes.IntRate / 12>
<cfset Principal = Attributes.LoanAmt - Attributes.DownPayment>


<cfset Principal_times_Rate = Principal * Rate>
<cfset PeriodstimesYears = 12*Attributes.Numyears>
<cfset Payment = (Principal * Rate)/ (1-(1/(1+Rate)^PeriodstimesYears) )>
<!--- <cfset 	Payment = (Principal * Rate)/(1 - 1/((1 + Rate)^12*Attributes.NumYears))> --->

<cfset InterestTD = 0>
<cfset PrincipalTD = #attributes.DownPayment#>
<cfset x = 1>	
<cfset loanschedule = ArrayNew(1)>
<cfloop index="years" from="1" to="#Attributes.NumYears#">

	<cfloop index="period" from="1" to="12">
		
		<cfset LoanSchedule[x] = StructNew()>
		<cfset LoanSchedule[x].Month = period>
		<cfset LoanSchedule[x].Year = Year(now()) + (-1 + years)>
		<cfset LoanSchedule[x].Payment = Payment>
		<cfset LoanSchedule[x].Interest = rate * Principal>
		<cfset LoanSchedule[x].Principal = Payment - LoanSchedule[x].Interest>

		<cfset InterestTD = InterestTD + LoanSchedule[x].Interest >
		<cfset PrincipalTD = PrincipalTD + LoanSchedule[x].Principal>

		<cfset LoanSchedule[x].PrincipalTD = PrincipalTD>
		<cfset LoanSchedule[x].InterestTD = InterestTD>
		
		<cfset Principal = Principal -  LoanSchedule[x].Principal>
		<cfset x = x + 1>
	</cfloop>
	
</cfloop>


</cfsilent>
