<cfsilent>
<!--- -->
<?xml version="1.0" encoding="UTF-8"?>
<fusedoc language="ColdFusion" FUSE="dsp_schedule.cfm" Specification="2.0">
	<responsibilities>
		I display the loan schedule in a table.
	</responsibilities> 
	<properties>
		<history 	author="Sandra Clark" email="slclark@shayna.com" type="Create" date="11/17/2001" 
					role="Architect"></history>
	</properties>
	<io>
		<in>
			<number 
				name="NumYears" scope="Attributes" precision="Integer" 
				comments="Number of years to calculate loan schedule."/>
			<number 
				name="LoanAmt" scope="Attributes" precision="Decimal" 
				comments="Amount of Loan"/>
			<number 
				name="DownPayment" scope="Attributes" 
				precision="Decimal" comments="Down Payment on Loan."/>
			<number 
				name="IntRate" scope="Attributes" precision="Decimal" 
				comments="Interest Rate to Use."/>

			<array name="loanschedule" scope="variables" 
				comments="Array of Loan Schedule Payments.">
			
				<structure 
					comments="Holds the line of the loan schedule correspondign to the month.">
					
					<number name="Month" precision="Integer" comments="First Month shall be current month."/>
					<number name="Year" precision="Integer" comments="Year of Month"/>
					<number name="Payment" precision="Decimal" comments="Amount of Payment for month."/>
					<number name="Interest" precision="Decimal" comments="Amount of Interest paid for month"/>
					<number name="Principal" precision="Decimal" comments="Amount of Principal paid for month"/>
					<number name="InterestTD" precision="Decimal" comments="Interest Paid To Date"/>
					<number name="PrincipalTD" precision="Decimal" comments="Principal Paid to DAte"/>
				</structure>			
			</array>
		</in>
	</io>
</fusedoc>
--->
</cfsilent>
<cfoutput>

<table width="100%" border="1" cellspacing="1">
<tr>
	<th colspan="7"> Loan Schedule for #Attributes.NumYears# Year Loan on Amount - $#NumberFormat(Attributes.LoanAmt,'999,999,999,999.00')# with a $#NumberFormat(Attributes.DownPayment,'999,999,999,999.00')# Down Payment at #Attributes.IntRate#% Interest.</th>
</tr>
<tr>
	<th>Month</th>
	<th>Year</th>
	<th>Payment</th>
	<th>Interest</th>
	<th>Principal</th>
	<th>Interest<br>To Date</th>
	<th>Principal<br>To Date</th>
</tr>

<cfloop index="row" from="1" to="#ArrayLen(loanSchedule)#">
<tr>
	<td>#LoanSchedule[row].Month#</td>
	<td>#LoanSchedule[row].Year#</td>
	<td>#NumberFormat(LoanSchedule[row].Payment,'999,999,999,999.00')#</td>
	<td>#NumberFormat(LoanSchedule[row].Interest,'999,999,999,999.00')#</td>
	<td>#NumberFormat(LoanSchedule[row].Principal,'999,999,999,999.00')#</td>
	<td>#NumberFormat(LoanSchedule[row].InterestTD,'999,999,999,999.00')#</td>
	<td>#NumberFormat(LoanSchedule[row].PrincipalTD,'999,999,999,999.00')#</td>
</tr>
</tr>

</cfloop>
<tr>
	<td colspan="7">
		<a href="#XFA.OnReCalc#">Calculate again</a></td>

</table>
</cfoutput>